1. contest
server
  • auth
    • sign-up
      POST
    • confirm-email
      POST
    • regenerate-confirm-email-code
      GET
    • login-user
      POST
    • reset-password-token
      POST
    • reset-password
      POST
    • get-current-user
      GET
    • verify-with-2fa
      POST
  • Job
    • post-Job
      POST
    • get-jobs
      GET
    • get-job-by-id
      GET
    • apply-job
      POST
    • get-internal-applied-jobs
      GET
    • get-all-applied-jobs
      GET
    • talent-matching
      GET
  • profile
    • get-profile
      GET
    • update-profile
      PATCH
  • security
    • generate-2fa
    • verify-2fa
    • disable-2fa
  • chatbot
    • prompt-ai
  • feeds
    • post
    • get-all-posts
    • like-post
    • bookmark-post
    • comment-post
    • get-comments
  • cms
    • content
      • post-content
      • get-all-content
      • get-content-by-id
      • update-content
      • delete-content
    • contest
      • post-contest
        POST
      • get-contest
        GET
      • get-contest-by-id
        GET
      • update-contest
        PATCH
      • delete-contest
        DELETE
    • webinar
      • create-webinar
      • register-webinar
      • speaker-application
      • get-speaker-applications
      • get-all-webinars
      • create-faqs
      • get-faqs
    • winner-spotlight
      • create-winner-spotlight
      • get-winner-spotlights
      • get-winner-spotlight-by-id
      • update-winner-spotlight
      • delete-winner-spotlight
  • socials
    • follow
      • follow-user
      • unfollow-user
    • chats
      • send-message
      • get-chats
      • get-chat-by-id
  • talent
    • apply-talent
    • get-talents-applications
    • talent-application-review
    • user-get-talents
  1. contest

post-contest

Developing
POST
/contest/post

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/contest/post' \
--header 'Content-Type: application/json' \
--data '{
    "title": "Motion Graphics Throwdown",
    "description": "Create a 10s punchy animation for a fintech brand. Storyboard included.",
    "rules": "Loop must be seamless. Provide source project files.",
    "startDate": "2025-09-30T00:00:00.000Z",
    "endDate": "2025-10-04T12:00:00.000Z",
    "prize": "2000",
    "featuredImage": "/assets/contest-motion.png",
    "cover": "https://images.unsplash.com/photo-1500530855697-b586d89ba3ee?q=80&w=1200&auto=format&fit=crop",
    "prizePool": 2000,
    "entryFee": 10,
    "participants": 160,
    "maxParticipants": 160,
    "deadline": "2025-10-04T12:00:00.000Z",
    "status": "ended",
    "tags": [
        "Motion",
        "Animation",
        "Paid"
    ]
}'
Response Response Example
{}
Modified at 2025-09-30 04:39:45
Previous
delete-content
Next
get-contest
Built with